%define rversion 8.2.2-P5

Summary:	A DNS (Domain Name System) server
Name:		bind
Version:	8.2.2P5
Release:	5mdk
Copyright:	Distributable
Group:		System/Servers

Source0:	ftp://ftp.isc.org/isc/bind/src/%{rversion}/bind-%{rversion}-src.tar.bz2
Source1:	ftp://ftp.isc.org/isc/bind/src/%{rversion}/bind-%{rversion}-doc.tar.bz2
Source2:	ftp://ftp.isc.org/isc/bind/src/%{rversion}/bind-%{rversion}-contrib.tar.bz2
Source3:	named.init
Source4:	named.logrotate

Url:		http://www.isc.org/bind.html

Patch0:		bind-8.1.2-rh.patch.bz2
Patch1: 	bind-8.1.2-nonlist.patch.bz2
Patch2:		bind-8.1.2-fds.patch.bz2
Patch3: 	bind-8.2-glibc21.patch.bz2
Patch4:		bind-8.2-host.patch.bz2

Buildroot:	%{_tmppath}/bind-root
BuildRequires: flex 
Prereq:		/sbin/chkconfig

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.  Note that the 
configuration files for making BIND act as a simple caching nameserver 
are included in the caching-nameserver package.  

%package utils
Summary: DNS utilities:  host, dig, dnsquery, and nslookup
Group:	Networking/Other

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

%package devel
Summary: Include files and libraries needed for bind DNS development
Group:	Development/C

%description devel
The bind-devel package contains all the include files and the 
library required for DNS (Domain Name Service) development for 
BIND versions 8.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.

%prep
%setup -q -c -a 1 -a 2
%patch0 -p0 -b .rh
%patch1 -p0 -b .nonlist
%patch2 -p1 -b .fds
%patch3 -p1 -b .glibc21
%patch4 -p1 -b .host

rm -f compat/include/sys/cdefs.h

%build
# Hack
RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's|-m[0-9]86||'`"

uname -a |grep -q SMP && make -j2 -C src || make -C src
make clean all -C src SUBDIRS=../doc/man

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin}
mkdir -p ${RPM_BUILD_ROOT}/usr/man/{man1,man3,man5,man7,man8}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d

make DESTDIR=$RPM_BUILD_ROOT install -C src
make DESTDIR=$RPM_BUILD_ROOT INSTALL=install install -C src SUBDIRS=../doc/man

install -m 755 $RPM_SOURCE_DIR/named.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc4.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d/K45named

#strip things
#strip $RPM_BUILD_ROOT/usr/bin/* || :
#strip $RPM_BUILD_ROOT/usr/sbin/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m644 %SOURCE4 $RPM_BUILD_ROOT/etc/logrotate.d/named

%post
/sbin/chkconfig --add named
if [ -f /etc/named.boot -a ! -f /etc/named.conf ]; then
  if [ -x /usr/doc/bind-%{version}/named-bootconf.pl ]; then
    cat /etc/named.boot | /usr/doc/bind-%{version}/named-bootconf.pl > /etc/named.conf
    chmod 644 /etc/named.conf
  fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del named
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc src/README src/INSTALL src/Version src/CHANGES 
%doc src/TODO src/bin/named-bootconf
%doc doc/bog doc/html doc/misc doc/notes doc/rfc doc/tmac

%config /etc/logrotate.d/named
%config /etc/rc.d/init.d/named
%config(missingok) /etc/rc.d/rc0.d/K45named
%config(missingok) /etc/rc.d/rc1.d/K45named
%config(missingok) /etc/rc.d/rc2.d/K45named
%config(missingok) /etc/rc.d/rc3.d/K45named
%config(missingok) /etc/rc.d/rc4.d/K45named
%config(missingok) /etc/rc.d/rc5.d/K45named
%config(missingok) /etc/rc.d/rc6.d/K45named

/usr/sbin/named
/usr/sbin/named-xfer
/usr/sbin/ndc

/usr/man/man1/dnskeygen.1*
/usr/man/man5/named.conf.5*
/usr/man/man7/hostname.7*
/usr/man/man8/named.8*
/usr/man/man8/ndc.8*
/usr/man/man8/named-bootconf.8*
/usr/man/man8/named-xfer.8*

     
%files utils
%defattr(-,root,root)
/usr/bin/addr
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/host
/usr/bin/mkservdb
/usr/bin/nslookup
/usr/bin/nsupdate
/usr/lib/nslookup.help
/usr/man/man1/dig.1*
/usr/man/man1/dnsquery.1*
/usr/man/man1/host.1*
/usr/man/man5/irs.conf.5*
/usr/man/man5/resolver.5*
/usr/man/man8/nslookup.8*
/usr/man/man8/nsupdate.8*

%files devel
%defattr(-,root,root)
/usr/lib/bind

%changelog
* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> - 8.2.2P5-5mdk
- fixed vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> - 8.2.2P5-4mdk
- spec-helper

* Mon Mar 13 2000 David BAUDENS <baudens@mandrakesoft.com> - 8.8.2P5-3mdk
- Really use new Groups

* Mon Mar 13 2000 David BAUDENS <baudens@mandrakesoft.com> - 8.8.2P5-2mdk
- Fix %%doc
- Use %%{_tmppath} for BuildRoot

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 8.2.2-P3.

* Sat Oct 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add lame server patch

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 8.2.1

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Mar 31 1999 Bill Nottingham <notting@redhat.com>
- add ISC patch
- add quick hack to make host not crash
- add more docs

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add probing information in the init file to keep linuxconf happy
- dont strip libbind

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- removed 'done' output at named shutdown.

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.2

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to use the __FDS_BITS macro
- build for glibc 2.1

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- change named.restart to /usr/sbin/ndc restart

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- install man pages correctly.
- change K10named to K45named.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- don't start if /etc/named.conf doesn't exist.

* Sat Aug  8 1998 Jeff Johnson <jbj@redhat.com>
- autmagically create /etc/named.conf from /etc/named.boot in %post
- remove echo in %post

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in 5.1 mods

* Sun Apr 12 1998 Manuel J. Galan <manolow@step.es>
- Several essential modifications to build and install correctly.
- Modified 'ndc' to avoid deprecated use of '-'

* Mon Dec 22 1997 Scott Lampert <fortunato@heavymetal.org>
- Used buildroot
- patched bin/named/ns_udp.c to use <libelf/nlist.h> for include
  on Redhat 5.0 instead of <nlist.h>

